OmniOS Community Edition weekly releases for w/c 23rd of December 2019 are now available.

For all supported OmniOS releases, OpenSSL 1.0 has been updated to 1.0.2u, which includes a security fix. This is expected to be the last update for the 1.0 series which reaches end of support on the 31st of December 2019.

OmniOS r151030 and above already include OpenSSL 1.1 as the default version with 1.0 libraries delivered alongside for backwards compatibility. The currently selected default version an be checked using pkg mediator - check that 1.1 appears in the VERSION column.

# pkg mediator openssl
MEDIATOR VER. SRC. VERSION IMPL. SRC. IMPLEMENTATION
openssl  vendor    1.1     vendor

To change the default version to 1.1, if necessary, use:

# pkg unset-mediator openssl

Additionally, for r151032 only:

  • The beta UEFI 2.7 firmware for bhyve has been updated and should now work with more systems. This firmware can be selected by setting the bootrom zone attribute to BHYVE_RELEASE-beta.

For further details, please see https://omniosce.org/releasenotes


Any problems or questions, please get in touch.